package com.bicloud.mapper;

import com.bicloud.pojo.dto.DocumentCreateDto;
import com.bicloud.pojo.dto.DocumentPageQueryDto;
import com.bicloud.pojo.vo.DocumentTypeVo;
import com.bicloud.pojo.vo.DocumentListVo;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface DocumentMapper {

    // 新增：插入 biology_document_info
    int insertDocument(DocumentCreateDto dto);

    // 删除：软删除 removed=1
    int softDeleteById(Long id);

    // 分页查询：返回列表VO（PageHelper自动分页）
    Page<DocumentListVo> pageQuery(DocumentPageQueryDto queryDTO);

    // 获取文献分类
    List<DocumentTypeVo> listTypes();
}
